Skip to main content
`Ctrl`+`K`

# PetscDeviceContextGetDevice

Get the underlying `PetscDevice` for a `PetscDeviceContext`

## Synopsis

    #include <petscdevice.h>
    PetscErrorCode PetscDeviceContextGetDevice(PetscDeviceContext dctx, PetscDevice *device)

Not Collective

## Input Parameter

- dctx - the `PetscDeviceContext`

## Output Parameter

- device - The `PetscDevice`

## Note

This is a borrowed reference, the user should not destroy `device`.

## See Also

`PetscDeviceContextSetDevice()`, `PetscDevice`, `PetscDeviceContextGetDeviceType()`

## Level

intermediate

## Location

src/sys/objects/device/interface/dcontext.cxx

Index of all Device routines
Table of Contents for all manual pages
Index of all manual pages